## virtuoso-opensource 6.1.6+dfsg2

=== debian/changelog ===
virtuoso-opensource (6.1.6+dfsg2-4) unstable; urgency=medium

  * QA upload.
  * Add patch to fix FTBFS with OpenSSL 1.1.
    Thanks to Sebastian Andrzej Siewior <sebastian@breakpoint.cc> for the
    patch.  Closes: #828594
  * d/control: drop make from build-deps, as it's build-essential and that
    version is old enough.
  * Bump debhelper compat level to 10.
    + --with autoreconf is now defuault.
    + --parallel is now default.

 -- Mattia Rizzolo <mattia@debian.org>  Tue, 10 Jan 2017 12:56:02 +0100

virtuoso-opensource (6.1.6+dfsg2-3) unstable; urgency=medium

  * QA upload.
  * Set Maintainer to Debian QA Group.  (See #813499)
  * Move packaging repository to
    git://git.debian.org/collab-maint/virtuoso-opensource.git
  * Remove the saddr_t typedef, which clashes with system headers on s390x,
    thanks to Colin Watson.  (Closes: #805157)
  * Rebuild against current mono.  (Closes: #804109)

 -- Andreas Beckmann <anbe@debian.org>  Sat, 27 Feb 2016 19:07:25 +0100

virtuoso-opensource (6.1.6+dfsg2-2) unstable; urgency=medium

  * Update ignore-netstat-failure.patch including new tests (Closes: #761371).
  * Update Standards-Version to 3.9.5, no changes required.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Mon, 15 Sep 2014 14:48:35 -0300

virtuoso-opensource (6.1.6+dfsg2-1) unstable; urgency=medium

  * New patch: 17-fix-imagemagick-detection.patch (Closes: #758459)
    Thanks to bastien ROUCARIES
  * Further dfsgfied version
  * New patch: remove_ckeditor_mini

 -- Maximiliano Curia <maxy@debian.org>  Fri, 12 Sep 2014 15:42:01 +0200

virtuoso-opensource (6.1.6+dfsg-4) unstable; urgency=low

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Add docbook-xml as build dependency to avoid downloading it.

  [ Maximiliano Curia ]
  * libvirtodbc0: add Breaks against non m-a aware libsoprano4 versions.
  * Increase wait timeout, mips needs more time.

 -- Maximiliano Curia <maxy@debian.org>  Sat, 23 Nov 2013 19:33:33 +0100

virtuoso-opensource (6.1.6+dfsg-3) unstable; urgency=low

  [ Maximiliano Curia ]
  * Remove mono package for armhf.
  * Update path: do_not_depend_on_MAXPATHLEN.patch.
  * Merge with 6.1.4+dfsg1-7.

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Remove ia64 mono support, as upstream has dropped it (Closes: #727592).
    - As build-dep.
    - From libvirtuoso5.5-cil archs list.
  * Fix typo in control file which led lintian to believe this a NMU.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Wed, 06 Nov 2013 00:32:18 -0300

virtuoso-opensource (6.1.6+dfsg-2) experimental; urgency=low

  * New patch: do_not_depend_on_MAXPATHLEN.patch.
  * Add _GNU_SOURCE definition.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 10 Jun 2013 15:50:21 +0200

virtuoso-opensource (6.1.6+dfsg-1) experimental; urgency=low

  [ José Manuel Santamaría Lema ]
  * New upstream release.
  * Update patches:
    - remove portable-method-for-escaping-symbol-gawk.diff, applied upstream.
    - refresh other patches to make them apply without any offset.

  [ Ralf Jung ]
  * Update VCS links

  [ Maximiliano Curia ]
  * Update aclocal and automake versions.
  * Migrate to dh 9.
  * Update dirs files.
  * Update install files.
  * Update Pre-Depends for m-a.
  * New patch, disable-full-test-suite.patch.
  * New patch, check_log_fix.patch.
  * Use relative paths for the odbc drivers.
  * Update libvirtodbc0 debconf use.

 -- Debian Krap Maintainers <debian-qt-kde@lists.debian.org>  Thu, 06 Jun 2013 10:34:05 +0200
