=== debian/watch ===
version=3
opts=dversionmangle=s/[\.\+]dfsg[\d\.]*// \
http://sf.net/virtuoso/virtuoso-opensource-([0-9.]+)\.tar\.gz
