=== debian/changelog ===
virtuoso-opensource (6.1.6+repack-0ubuntu10) disco; urgency=medium

  * No-change rebuild for readline soname change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 14 Jan 2019 20:05:24 +0000

virtuoso-opensource (6.1.6+repack-0ubuntu9) bionic; urgency=medium

  * Cherrypick patch from Debian for openssl1.1 support.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 06 Feb 2018 19:21:29 +0000

virtuoso-opensource (6.1.6+repack-0ubuntu8) bionic; urgency=high

  * No change rebuild against openssl1.1.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 05 Feb 2018 16:57:00 +0000

virtuoso-opensource (6.1.6+repack-0ubuntu7) zesty; urgency=medium

  * Rebuild against new imagemagick libs.

 -- Bhavani Shankar <bhavi@ubuntu.com>  Fri, 20 Jan 2017 11:40:32 +0530

virtuoso-opensource (6.1.6+repack-0ubuntu6) yakkety; urgency=medium

  * No-change rebuild for readline soname change.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 17 Sep 2016 12:12:02 +0000

virtuoso-opensource (6.1.6+repack-0ubuntu5) xenial; urgency=medium

  * Remove the saddr_t typedef, which clashes with system headers on s390x
    (closes: #805157).

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 24 Dec 2015 17:10:02 +0000

virtuoso-opensource (6.1.6+repack-0ubuntu4) vivid; urgency=medium

  * Rebuild against libmagickcore-6.q16-2.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 30 Oct 2014 12:28:05 +0000

virtuoso-opensource (6.1.6+repack-0ubuntu3) saucy; urgency=low

  * Don't hardcode automake versions, this tends to break things and
    eat unicorns
  * Pass add-missing to automake to fix build

 -- Rohan Garg <rohangarg@kubuntu.org>  Mon, 23 Sep 2013 20:45:25 +0200

virtuoso-opensource (6.1.6+repack-0ubuntu2) raring; urgency=low

  * Add --with-debug to the extra configure flags so we get debugging symbols
    for the application binaries

 -- Philip Muškovac <yofel@kubuntu.org>  Mon, 14 Jan 2013 18:16:56 +0100

virtuoso-opensource (6.1.6+repack-0ubuntu1) quantal; urgency=low

  * Rebuild to fix version number

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 13 Aug 2012 16:39:34 +0100

virtuoso-opensource (6.1.6+repack-0ubuntu1~ppa1) quantal; urgency=low

  * New upstream release 
    - Repack tarbal to remove binary files
    - Drop repack-oat.patch, applied upstream

 -- Rohan Garg <rohangarg@kubuntu.org>  Mon, 06 Aug 2012 19:02:19 +0530

virtuoso-opensource (6.1.4+dfsg1-1ubuntu2) quantal; urgency=low

  * Rebuild for imagemagick 6.7.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 13 Jul 2012 11:31:43 +0100

virtuoso-opensource (6.1.4+dfsg1-1ubuntu1) quantal; urgency=low

  * Merge with Debian unstable, remaining changes:
    - Drop build-depends on libwbxml2-dev (in Universe)
  * The virtuoso-nepomuk transitional package was dropped in this merge,
    since updates must now run through precise, and the package is
    transitional there. The replace/break for libvirtodbc0 was removed too.
  * The virtuoso-opensource-6.0 transitional package was dropped for the same
    reasons.

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Sun, 01 Jul 2012 19:20:08 -0400

virtuoso-opensource (6.1.4+dfsg1-0ubuntu1) precise; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 15 Feb 2012 16:37:45 +0000

virtuoso-opensource (6.1.3+dfsg1-1ubuntu3) precise; urgency=low

  * No-change rebuild to drop spurious libsfgcc1 dependency on armhf.

 -- Adam Conrad <adconrad@ubuntu.com>  Fri, 02 Dec 2011 17:34:57 -0700

virtuoso-opensource (6.1.3+dfsg1-1ubuntu2) precise; urgency=low

  * No change rebuild for imagemagick4 transition

 -- Michael Terry <mterry@ubuntu.com>  Fri, 18 Nov 2011 12:18:02 -0500

virtuoso-opensource (6.1.3+dfsg1-1ubuntu1) oneiric; urgency=low

  * Merge from debian unstable.  Remaining changes:
    - Make libvirtodbc0 replace/break virtuoso-nepomuk
    - Add virtuoso-opensource-6.0 transitional package with a prerm script
      as a fallback for the old package which fails to upgrade
    - Adjust Breaks/Replaces for Ubuntu versions
    - Drop build-depends on libwbxml2-dev (in Universe)

 -- Scott Kitterman <scott@kitterman.com>  Wed, 10 Aug 2011 09:53:46 -0400

virtuoso-opensource (6.1.2+dfsg1-1ubuntu4) maverick; urgency=low

  * Make libvirtodbc0 replace/break virtuoso-nepomuk. (LP: #608878)
  * Mention that virtuoso-nepomuk is a transitional package in the short
    description.
  * Add virtuoso-opensource-6.0 transitional package and add a prerm script
    as a fallback for the old package which fails to upgrade. (LP: #609924)

 -- Felix Geyer <debfx-pkg@fobos.de>  Mon, 02 Aug 2010 15:54:34 +0200

virtuoso-opensource (6.1.2+dfsg1-1ubuntu3) maverick; urgency=low

  * Conflict/replace older packages with versioned names. We can drop these
    changes in maverick+1

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Thu, 22 Jul 2010 09:46:35 -0400

virtuoso-opensource (6.1.2+dfsg1-1ubuntu2) maverick; urgency=low

  * Remove build-depend on libwbxml2-dev that was added as part of the merge
    accidentally

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Wed, 21 Jul 2010 16:52:15 -0400

virtuoso-opensource (6.1.2+dfsg1-1ubuntu1) maverick; urgency=low

  * Merge with Debian Unstable, remaining changes:
    - Make virtuoso-minimal replace/break virtuoso-nepomuk
    - Keep virtuoso-nepomuk around as a virtual dummy package

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Wed, 21 Jul 2010 15:38:56 -0400

virtuoso-opensource (6.1.0-0ubuntu4) maverick; urgency=low

  * Add a dependency on odbcinst to libvirtodbc0. It needs to use it for its
    postinst script. (LP: #529562)

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Sun, 09 May 2010 08:40:18 -0400
