## virtuoso-opensource 7.2.5.1%2Bdfsg

=== debian/changelog ===
virtuoso-opensource (7.2.5.1+dfsg-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Mon, 08 Feb 2021 14:33:53 +0000

virtuoso-opensource (7.2.5.1+dfsg-2) experimental; urgency=medium

  [ Andreas Tille ]
  * Postinst script should initialise plugins in the correct multiarch dir
  * Build against libssl-dev (>= 1.1)
    Closes: #828594
  * Take over some patches from Ubuntu
     - debconf question priority
     - ODBC configuration (just as comment)
  * Prevent privacy breach
  * Use debian/virtuoso-opensource-7.maintscript instead of using
    dpkg-maintscript-helper in maintainer scripts
  * Update German debconf translations
  * Standards-Version: 4.3.0
  * debhelper 12 (but skip dh_dwz)
  * Enable cross-compilation

  [ Andreas Beckmann ]
  * Perform the DEB_HOST_MULTIARCH substition at build time.
  * Add Breaks+Replaces against virtuoso-opensource-6.1-{bin,common}.
    (Closes: #907875)
  * Fix building twice in a row.  (Closes: #680775)

 -- Andreas Tille <tille@debian.org>  Wed, 13 Feb 2019 18:54:38 +0100

virtuoso-opensource (7.2.5.1+dfsg-1) experimental; urgency=medium

  * New upstream version (adapted patches)  (Closes: #689230)
  * DEP5
  * Use Files-Excluded to remove unwanted files from source tarball
  * Point watch file to Github and add options for file exclusion
  * Moved packaging to Debian Science team  (Closes: #813499)
  * Fix homepage
  * debhelper 11
  * cme fix dpkg-control
  * Standards-Version: 4.2.0
  * d/control: Adapt package names to new version (s/6\.1/7/)
  * Build against OpenSSL 1.0
  * virtuoso-opensource-7 Depends: lsb-base
  * debian/rules:
     - hardening=+all
     - Do not explicitly set DEB_HOST_MULTIARCH
  * debian/copyright: Files-Excluded:
        *.chm
        binsrc/dbpedia/vsp/statics/js/bootstrap.min.js
        binsrc/dbpedia/vsp/statics/js/jquery.min.js
    (these files are not installed)
        ckeditor
    (ckeditor is used from Debian packaged Version)
  * debian/source/lintian-overrides: Suppress false positives
  * virtuoso-opensource-7.init: Make sure virtuoso starts right from beginning
  * Package libvirtodbc0 should be in Section: libs
  * Make sure virtuoso will start right after installation

 -- Andreas Tille <tille@debian.org>  Tue, 14 Aug 2018 21:48:59 +0200
