=== debian/changelog ===
virtuoso-opensource (7.2.5.1+dfsg1-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Repack to remove sw-vert-v.svg.  (Closes: #990890)
  * Drop /sdk:2 from MCS_FLAGS.  (Closes: #991070)

 -- Andreas Beckmann <anbe@debian.org>  Wed, 28 Jul 2021 01:15:17 +0200

virtuoso-opensource (7.2.5.1+dfsg-3.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Reintroduce libvirtuoso5.5-cil, the upgrade error was actually in mono.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 29 Jun 2021 11:41:25 +0200

virtuoso-opensource (7.2.5.1+dfsg-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Drop the libvirtuoso5.5-cil package. (Closes: #986293)
  * Updated debconf translations:
    - Dutch from Frans Spiesschaert. (Closes: #983414)
    - German from Helge Kreutzmann. (Closes: #982628)
    - Portuguese from Américo Monteiro. (Closes: #982569)

 -- Adrian Bunk <bunk@debian.org>  Sun, 16 May 2021 16:11:30 +0300
