=== debian/rules ===
--- 
+++ 
@@ -39,7 +39,9 @@
 
 override_dh_install:
 	dh_install -plibvirtodbc0 usr/lib/*/virtodbc*.so usr/lib/$(DEB_HOST_MULTIARCH)/odbc
+ifdef VIRTUOSO_CIL
 	dh_install -plibvirtuoso5.5-cil debian/virtuoso.pc usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig
+endif
 	dh_install --remaining-packages
 	# Remove code copy of ckeditor once it is not needed any more in source tree (could be also done in clean target, but why not doing it here)
 	rm -rf appsrc/ODS-Framework/ckeditor
